package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class DicConfigAuthModel {
    private Integer id;

    private String authId;

    private String authName;

    private String deviceSn;

    private String stationCode;

    private String lastVal;

    private String ip1Port1;

    private String ip2Port2;

    private String ip3Port3;

    private String ip4Port4;

    private String domainNamePort;

    private String dnType;

    private String digitNum;

    /**
     * 最后一个数字单位类型
     */
    private String unitType;

    private String setupDir;

    private String wheelNum;

    private String timeInterval;

    private String workTemplate;

    private String batAlarmVt;

    private String batAlarmSoc;

    private String aiThreshold;

    private String cpuVersion;

    private String tongxunVersion;

    private String tianxianType;

    private String tongxunWay;

    private String networkRegTimeout;

    private String pwmHz;

    private String pwmDuty;

    private String flashBright;

    private String setupYear;

    private String upWholeImgWeekRule;

    private String ip1ExpandOn;

    private String createMan;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date createTime;

    private String debugInfo;

    private String uploadLastFailLog;

    private Integer page;//页码

    private Integer rows;//每页条数

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAuthId() {
        return authId;
    }

    public void setAuthId(String authId) {
        this.authId = authId == null ? null : authId.trim();
    }

    public String getAuthName() {
        return authName;
    }

    public void setAuthName(String authName) {
        this.authName = authName == null ? null : authName.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getLastVal() {
        return lastVal;
    }

    public void setLastVal(String lastVal) {
        this.lastVal = lastVal == null ? null : lastVal.trim();
    }

    public String getIp1Port1() {
        return ip1Port1;
    }

    public void setIp1Port1(String ip1Port1) {
        this.ip1Port1 = ip1Port1 == null ? null : ip1Port1.trim();
    }

    public String getIp2Port2() {
        return ip2Port2;
    }

    public void setIp2Port2(String ip2Port2) {
        this.ip2Port2 = ip2Port2 == null ? null : ip2Port2.trim();
    }

    public String getIp3Port3() {
        return ip3Port3;
    }

    public void setIp3Port3(String ip3Port3) {
        this.ip3Port3 = ip3Port3 == null ? null : ip3Port3.trim();
    }

    public String getIp4Port4() {
        return ip4Port4;
    }

    public void setIp4Port4(String ip4Port4) {
        this.ip4Port4 = ip4Port4 == null ? null : ip4Port4.trim();
    }

    public String getDomainNamePort() {
        return domainNamePort;
    }

    public void setDomainNamePort(String domainNamePort) {
        this.domainNamePort = domainNamePort == null ? null : domainNamePort.trim();
    }

    public String getDnType() {
        return dnType;
    }

    public void setDnType(String dnType) {
        this.dnType = dnType == null ? null : dnType.trim();
    }

    public String getDigitNum() {
        return digitNum;
    }

    public void setDigitNum(String digitNum) {
        this.digitNum = digitNum == null ? null : digitNum.trim();
    }

    public String getUnitType() {
        return unitType;
    }

    public void setUnitType(String unitType) {
        this.unitType = unitType == null ? null : unitType.trim();
    }

    public String getSetupDir() {
        return setupDir;
    }

    public void setSetupDir(String setupDir) {
        this.setupDir = setupDir == null ? null : setupDir.trim();
    }

    public String getWheelNum() {
        return wheelNum;
    }

    public void setWheelNum(String wheelNum) {
        this.wheelNum = wheelNum == null ? null : wheelNum.trim();
    }

    public String getTimeInterval() {
        return timeInterval;
    }

    public void setTimeInterval(String timeInterval) {
        this.timeInterval = timeInterval == null ? null : timeInterval.trim();
    }

    public String getWorkTemplate() {
        return workTemplate;
    }

    public void setWorkTemplate(String workTemplate) {
        this.workTemplate = workTemplate == null ? null : workTemplate.trim();
    }

    public String getBatAlarmVt() {
        return batAlarmVt;
    }

    public void setBatAlarmVt(String batAlarmVt) {
        this.batAlarmVt = batAlarmVt == null ? null : batAlarmVt.trim();
    }

    public String getBatAlarmSoc() {
        return batAlarmSoc;
    }

    public void setBatAlarmSoc(String batAlarmSoc) {
        this.batAlarmSoc = batAlarmSoc == null ? null : batAlarmSoc.trim();
    }

    public String getAiThreshold() {
        return aiThreshold;
    }

    public void setAiThreshold(String aiThreshold) {
        this.aiThreshold = aiThreshold == null ? null : aiThreshold.trim();
    }

    public String getCpuVersion() {
        return cpuVersion;
    }

    public void setCpuVersion(String cpuVersion) {
        this.cpuVersion = cpuVersion == null ? null : cpuVersion.trim();
    }

    public String getTongxunVersion() {
        return tongxunVersion;
    }

    public void setTongxunVersion(String tongxunVersion) {
        this.tongxunVersion = tongxunVersion == null ? null : tongxunVersion.trim();
    }

    public String getTianxianType() {
        return tianxianType;
    }

    public void setTianxianType(String tianxianType) {
        this.tianxianType = tianxianType == null ? null : tianxianType.trim();
    }

    public String getTongxunWay() {
        return tongxunWay;
    }

    public void setTongxunWay(String tongxunWay) {
        this.tongxunWay = tongxunWay == null ? null : tongxunWay.trim();
    }

    public String getNetworkRegTimeout() {
        return networkRegTimeout;
    }

    public void setNetworkRegTimeout(String networkRegTimeout) {
        this.networkRegTimeout = networkRegTimeout == null ? null : networkRegTimeout.trim();
    }

    public String getPwmHz() {
        return pwmHz;
    }

    public void setPwmHz(String pwmHz) {
        this.pwmHz = pwmHz == null ? null : pwmHz.trim();
    }

    public String getPwmDuty() {
        return pwmDuty;
    }

    public void setPwmDuty(String pwmDuty) {
        this.pwmDuty = pwmDuty == null ? null : pwmDuty.trim();
    }

    public String getFlashBright() {
        return flashBright;
    }

    public void setFlashBright(String flashBright) {
        this.flashBright = flashBright == null ? null : flashBright.trim();
    }

    public String getSetupYear() {
        return setupYear;
    }

    public void setSetupYear(String setupYear) {
        this.setupYear = setupYear == null ? null : setupYear.trim();
    }

    public String getUpWholeImgWeekRule() {
        return upWholeImgWeekRule;
    }

    public void setUpWholeImgWeekRule(String upWholeImgWeekRule) {
        this.upWholeImgWeekRule = upWholeImgWeekRule == null ? null : upWholeImgWeekRule.trim();
    }

    public String getIp1ExpandOn() {
        return ip1ExpandOn;
    }

    public void setIp1ExpandOn(String ip1ExpandOn) {
        this.ip1ExpandOn = ip1ExpandOn == null ? null : ip1ExpandOn.trim();
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDebugInfo() {
        return debugInfo;
    }

    public void setDebugInfo(String debugInfo) {
        this.debugInfo = debugInfo == null ? null : debugInfo.trim();
    }

    public String getUploadLastFailLog() {
        return uploadLastFailLog;
    }

    public void setUploadLastFailLog(String uploadLastFailLog) {
        this.uploadLastFailLog = uploadLastFailLog == null ? null : uploadLastFailLog.trim();
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }
}
